Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface ErrorConstants

All Known Implementing Classes:
  AbstractGraphicsNodeBridge, AbstractSVGFilterPrimitiveElementBridge, AbstractSVGGradientElementBridge, AbstractSVGLightingElementBridge, BatikFlowTextElementBridge, BatikHistogramNormalizationElementBridge, BatikRegularPolygonElementBridge, BatikStarElementBridge, BindableElementBridge, BridgeContext, CSSFontFace, CSSUtilities, CursorManager, FontFace, PaintServer, SVG12BridgeContext, SVG12TextElementBridge, SVGAElementBridge, SVGAltGlyphElementBridge, SVGBrokenLinkProvider, SVGCircleElementBridge, SVGColorProfileElementBridge, SVGDecoratedShapeElementBridge, SVGEllipseElementBridge, SVGFeBlendElementBridge, SVGFeColorMatrixElementBridge, SVGFeComponentTransferElementBridge, SVGFeCompositeElementBridge, SVGFeConvolveMatrixElementBridge, SVGFeDiffuseLightingElementBridge, SVGFeDisplacementMapElementBridge, SVGFeFloodElementBridge, SVGFeGaussianBlurElementBridge, SVGFeImageElementBridge, SVGFeMergeElementBridge, SVGFeMorphologyElementBridge, SVGFeOffsetElementBridge, SVGFeSpecularLightingElementBridge, SVGFeTileElementBridge, SVGFeTurbulenceElementBridge, SVGFilterElementBridge, SVGFlowRootElementBridge, SVGFontFace, SVGFontFaceElementBridge, SVGGElementBridge, SVGGlyphElementBridge, SVGImageElementBridge, SVGLinearGradientElementBridge, SVGLineElementBridge, SVGMarkerElementBridge, SVGMissingGlyphElementBridge, SVGMultiImageElementBridge, SVGPathElementBridge, SVGPatternElementBridge, SVGPolygonElementBridge, SVGPolylineElementBridge, SVGRadialGradientElementBridge, SVGRectElementBridge, SVGShapeElementBridge, SVGSVGElementBridge, SVGSwitchElementBridge, SVGTextElementBridge, SVGTextPathElementBridge, SVGUseElementBridge, SVGUtilities, TextUtilities, ViewBox, XBLContentElementBridge, XBLShadowTreeElementBridge

    public interface ErrorConstants

The error code.

Field Summary
`static String` | `ERR_ATTRIBUTE_MISSING` The error code when a required attribute is missing.
`static String` | `ERR_ATTRIBUTE_VALUE_MALFORMED` The error code when an attribute has a syntax error.
`static String` | `ERR_CSS_LENGTH_NEGATIVE` The error code when a CSS length is negative.
`static String` | `ERR_CSS_URI_BAD_TARGET` The error code when a URI specified in a CSS property referenced a bad element.
`static String` | `ERR_LENGTH_NEGATIVE` The error code when a length, which must be positive, is negative.
`static String` | `ERR_URI_BAD_TARGET` The error code when a specified URI references a bad element.
`static String` | `ERR_URI_IMAGE_BROKEN` The error code when the bridge tries to read an image and the image url can't be opened or the contents aren't usable.
`static String` | `ERR_URI_IMAGE_INVALID` The error code when the bridge tries to an image and the image format is not supported.
`static String` | `ERR_URI_IO` The error code when the bridge encoutered an I/O error while loading a URI.
`static String` | `ERR_URI_MALFORMED` The error code when the bridge try to load a URI {0} = the uri
`static String` | `ERR_URI_REFERENCE_A_DOCUMENT` The error code when the bridge tries to referenced an invalid node inside a document.
`static String` | `ERR_URI_UNSECURE` The error code when the bridge encountered a SecurityException while loading a URI {0} = the uri
`static String` | `ERR_XLINK_HREF_CIRCULAR_DEPENDENCIES` The error code when the bridge detected circular dependencies while resolving a list of URI.
`static String` | `URI_IMAGE_ERROR` The error code when the bridge tries to read an image and the image url can't be opened:

Field Detail

### ERR_ATTRIBUTE_MISSING

    static final String ERR_ATTRIBUTE_MISSING

  The error code when a required attribute is missing.

       {0} = the name of the attribute

  See Also:
    Constant Field Values

### ERR_ATTRIBUTE_VALUE_MALFORMED

    static final String ERR_ATTRIBUTE_VALUE_MALFORMED

  The error code when an attribute has a syntax error.

       {0} = the name of the attribute
       {1} = the wrong value

  See Also:
    Constant Field Values

### ERR_LENGTH_NEGATIVE

    static final String ERR_LENGTH_NEGATIVE

  The error code when a length, which must be positive, is negative.

       {0} = the name of the attribute

  See Also:
    Constant Field Values

### ERR_CSS_LENGTH_NEGATIVE

    static final String ERR_CSS_LENGTH_NEGATIVE

  The error code when a CSS length is negative.

       {0} = property

  See Also:
    Constant Field Values

### ERR_CSS_URI_BAD_TARGET

    static final String ERR_CSS_URI_BAD_TARGET

  The error code when a URI specified in a CSS property referenced a bad element.

       {0} = the uri

  See Also:
    Constant Field Values

### ERR_URI_BAD_TARGET

    static final String ERR_URI_BAD_TARGET

  The error code when a specified URI references a bad element.

       {0} = the uri

  See Also:
    Constant Field Values

### ERR_XLINK_HREF_CIRCULAR_DEPENDENCIES

    static final String ERR_XLINK_HREF_CIRCULAR_DEPENDENCIES

  The error code when the bridge detected circular dependencies while resolving a list of URI.

       {0} = the uri

  See Also:
    Constant Field Values

### ERR_URI_MALFORMED

    static final String ERR_URI_MALFORMED

  The error code when the bridge try to load a URI {0} = the uri

  See Also:
    Constant Field Values

### ERR_URI_IO

    static final String ERR_URI_IO

  The error code when the bridge encoutered an I/O error while loading a URI.

       {0} = the uri

  See Also:
    Constant Field Values

### ERR_URI_UNSECURE

    static final String ERR_URI_UNSECURE

  The error code when the bridge encountered a SecurityException while loading a URI {0} = the uri

  See Also:
    Constant Field Values

### ERR_URI_REFERENCE_A_DOCUMENT

    static final String ERR_URI_REFERENCE_A_DOCUMENT

  The error code when the bridge tries to referenced an invalid node inside a document.

       {0} = the uri

  See Also:
    Constant Field Values

### ERR_URI_IMAGE_INVALID

    static final String ERR_URI_IMAGE_INVALID

  The error code when the bridge tries to an image and the image format is not supported.

       {0} = the uri

  See Also:
    Constant Field Values

### ERR_URI_IMAGE_BROKEN

    static final String ERR_URI_IMAGE_BROKEN

  The error code when the bridge tries to read an image and the image url can't be opened or the contents aren't usable.

       {0} = the uri
       {1} = the reason it can't be opened.

  See Also:
    Constant Field Values

### URI_IMAGE_ERROR

    static final String URI_IMAGE_ERROR

  The error code when the bridge tries to read an image and the image url can't be opened:

       {0} = the reason it can't be opened.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.